lspai(8)

NAME
lspai - list Processor Activity Instrumentation (PAI) counters

SYNOPSIS
lspai [-n] [-t TYPE]
lspai -h|--help
lspai -v|--version

DESCRIPTION
lspai displays the Processor Activity Instrumentation (PAI) counters for Linux on IBM Z. The output is a human-readable list of available PAI counter names and numbers.

OPTIONS

-h, --help
    Displays help information, then exits.

-v, --version
    Displays version information, then exits.

-t, --type TYPE
    Specifies the PAI counter set to list. Valid counter set values are crypto and nnpa. By default, the command lists all available PAI counter sets. NNPA refers to the Neural Network Processing Assist facility counter set. Crypto refers to the Cryptografic Processing Assist facility counter set.

-n, --numeric
    Shows the PAI counter sets sorted by counter number. Default sort order is PAI counter name.

EXAMPLE
The lspai invocation lists all PAI Neural Network Processing Assist Facility (NNPA) counters in numeric order:
# lspai -t nnpa -n
RAW     NAME			DESCRIPTION
13:6144 NNPA_ALL		Counter 0 / PAI NNPA counter set
13:6145 NNPA_ADD		Counter 1 / PAI NNPA counter set
13:6146 NNPA_SUB		Counter 2 / PAI NNPA counter set
13:6147 NNPA_MUL		Counter 3 / PAI NNPA counter set
...
The first column shows the raw event number suitable for perf(8) raw event specification. The second column shows the PAI NNPA counter name, suitable for perf(8) event specification by name. The third gives a short explanation, if available.

SEE ALSO
pai(8) lscpumf(8)